<?php
/**
 * @category   DeliveryPerson
 * @package    DeliveryPerson_DeliveryModule
 * @author     prashant.bluethink@gmail.com
 * @copyright  This file was generated by using Module Creator(http://code.vky.co.in/magento-2-module-creator/) provided by VKY <viky.031290@gmail.com>
 * @license    http://opensource.org/licenses/osl-3.0.php  Open Software License (OSL 3.0)
 */

namespace DeliveryPerson\DeliveryModule\Block;

use Magento\Framework\View\Element\Template\Context;
use DeliveryPerson\DeliveryModule\Model\DeliveryModuleFactory;
use Magento\Cms\Model\Template\FilterProvider;
/**
 * DeliveryModule View block
 */
class DeliveryModuleView extends \Magento\Framework\View\Element\Template
{
    /**
     * @var DeliveryModule
     */
    protected $_deliverymodule;
    public function __construct(
        Context $context,
        DeliveryModuleFactory $deliverymodule,
        FilterProvider $filterProvider
    ) {
        $this->_deliverymodule = $deliverymodule;
        $this->_filterProvider = $filterProvider;
        parent::__construct($context);
    }

    public function _prepareLayout()
    {
        $this->pageConfig->getTitle()->set(__('DeliveryPerson DeliveryModule Module View Page'));
        
        return parent::_prepareLayout();
    }

    public function getSingleData()
    {
        $id = $this->getRequest()->getParam('id');
        $deliverymodule = $this->_deliverymodule->create();
        $singleData = $deliverymodule->load($id);
        if($singleData->getDeliveryModuleId() || $singleData['deliverymodule_id'] && $singleData->getStatus() == 1){
            return $singleData;
        }else{
            return false;
        }
    }
}